## Namespace doc

### Method Summary

Listing of public methods:

> The namespace doc currently contains no public methods.

### Method Detail

* indicates required

Private Methods:

by simon
called by parse_file, this procedure is given the body of text between two namespace markers in a tcl library file and parses out procedure source and comments Parameters:
`text_lines` * | namespace text body

Parse API documentation from a Tcl page API documentation is parsed as follows: Document is scanned until a @namespace directive is encountered. The remainder of the file is scanned for @private or @public directives. When one of these directives is encountered, the file is scanned up to a proc declaration and the text in between is parsed as documentation for a single procedure. The text between the initial @private or @public directive and the next directive is considered a general comment on the procedure Valid directives in a procedure doc include: - @author - @param (for hard parameters) - @see (should have the form namespace::procedure. A reference to an entire namespace should be namespace::. By convention the API for each namespace should be in a file of the same name, so that a link can be generated automatically). - @option (for switches such as -foo) - @return

called by parse_comment_text Parameters:
`comment_text` * | this should include the source text

called by parse_namespace Parameters:
`comment_text` * | body of comment text to be parsed through
`source_text` * | source text of the procedure

takes the absolute path of the tcl library directory and parses through it Returns: a long lists of lists of lists, each list element contains a three-element list of the format { {info} {public procedures listing } {private procedures listing} } See Also: namespace - util proc - doc::parse_file template::util::comment_text_normalize

* indicates required